
;-------------------------------------------------------------------

	include objbase.inc

;-------------------------------------------------------------------

;*** IUnknown interface
;-------------------------------------------------------------------

externdef stdcall IID_IUnknown:IID

BEGIN_INTERFACE IUnknown
    STDMETHOD		QueryInterface	,:ptr IID,:ptr ptr
    STDMETHOD		AddRef					
    STDMETHOD		Release
END_INTERFACE

LPUNKNOWN	typedef ptr IUnknown


;*** IClassFactory interface
;-------------------------------------------------------------------

externdef stdcall IID_IClassFactory:IID

BEGIN_INTERFACE IClassFactory
    STDMETHOD		QueryInterface	,:ptr IID,:ptr ptr
    STDMETHOD		AddRef
    STDMETHOD		Release
    STDMETHOD		CreateInstance	,:ptr,:ptr IID,:ptr ptr
    STDMETHOD		LockServer		,:dword
END_INTERFACE

LPCLASSFACTORY typedef ptr IClassFactory

;*** IClassFactory2 interface
;-------------------------------------------------------------------

LICINFO struct
cbLicInfo           DWORD ?
fRuntimeKeyAvail    BOOL  ?
fLicVerified        BOOL  ?
LICINFO ends

externdef stdcall IID_IClassFactory2:IID

BEGIN_INTERFACE IClassFactory2
    STDMETHOD		QueryInterface	,:ptr IID,:ptr ptr
    STDMETHOD		AddRef
    STDMETHOD		Release
    ;*** IClassFactory methods
    STDMETHOD		CreateInstance	,:ptr,:ptr IID,:ptr ptr
    STDMETHOD		LockServer		,:dword
    ;*** IClassFactory2 methods
    STDMETHOD		GetLicInfo		,:ptr LICINFO
    STDMETHOD		RequestLicKey	,dwReserved:dword, pbstrKey:ptr BSTR
    STDMETHOD		CreateInstanceLic	,pUnkOuter:LPUNKNOWN, pUnkReserved:LPUNKNOWN, riid:ptr IID, bstrKey:BSTR, ppvObject:ptr ptr
END_INTERFACE

LPCLASSFACTORY2 typedef ptr IClassFactory2

;*** end of file
